Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram.pathway
Class PathwayDiagramViewOptions

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.model.DiagramViewOptions
                  |
                  +--biouml.standard.diagram.pathway.PathwayDiagramViewOptions

Direct Known Subclasses:
  GeneNetDiagramViewOptions, KeggPathwayDiagramViewOptions, TranspathDiagramViewOptions

public class PathwayDiagramViewOptions
extends DiagramViewOptions

Field Summary
`Brush` | `ActiveProteinBrush`
`boolean` | `automaticallyLocateReactions`
`Pen` | `CatalystActionPen`
`Brush` | `CellCytoplasmBrush`
`Brush` | `CellNucleusBrush`
`Brush` | `DecreaseActionBrush`
`Brush` | `GeneBrush`
`Brush` | `InactiveProteinBrush`
`Brush` | `IncreaseActionBrush`
`Pen` | `InhibitorActionPen`
`Brush` | `ModefiedProteinBrush`
`Pen` | `ProcessPen`
`Brush` | `ProteinBrush`
`Brush` | `ReactionBrush`
`Pen` | `ReactionPen`
`Brush` | `SubstanceBrush`
`Brush` | `SwitchOffActionBrush`
`Pen` | `SwitchOffActionPen`
`Brush` | `SwitchOnActionBrush`
`Pen` | `SwitchOnActionPen`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, diagramTitleAlignment`

Constructor Summary
`PathwayDiagramViewOptions(Option parent)` Creates `PathwayDiagramViewOptions` and initializes it.

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ActiveProteinBrush

    public Brush ActiveProteinBrush

### automaticallyLocateReactions

    public boolean automaticallyLocateReactions

### CatalystActionPen

    public Pen CatalystActionPen

### CellCytoplasmBrush

    public Brush CellCytoplasmBrush

### CellNucleusBrush

    public Brush CellNucleusBrush

### DecreaseActionBrush

    public Brush DecreaseActionBrush

### GeneBrush

    public Brush GeneBrush

### InactiveProteinBrush

    public Brush InactiveProteinBrush

### IncreaseActionBrush

    public Brush IncreaseActionBrush

### InhibitorActionPen

    public Pen InhibitorActionPen

### ModefiedProteinBrush

    public Brush ModefiedProteinBrush

### ProcessPen

    public Pen ProcessPen

### ProteinBrush

    public Brush ProteinBrush

### ReactionBrush

    public Brush ReactionBrush

### ReactionPen

    public Pen ReactionPen

### SubstanceBrush

    public Brush SubstanceBrush

### SwitchOffActionBrush

    public Brush SwitchOffActionBrush

### SwitchOffActionPen

    public Pen SwitchOffActionPen

### SwitchOnActionBrush

    public Brush SwitchOnActionBrush

### SwitchOnActionPen

    public Pen SwitchOnActionPen

Constructor Detail

### PathwayDiagramViewOptions

    public PathwayDiagramViewOptions(Option parent)

  Creates `PathwayDiagramViewOptions` and initializes it.
  Parameters:
    parent - parent property

Association Links

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Brush

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM